#' Example VCF from Bouzid et al. 2022
#'
#' @format A vcfR object with 1000 loci and 53 samples
#'
#' @source \url{https://doi.org/10.1111/mec.15836}
"liz_vcf"

#' Example coordinates from Bouzid et al. 2022
#'
#' @format A dataframe with x and y coordinates for 53 samples
#'
#' @source \url{https://doi.org/10.1111/mec.15836}
"liz_coords"

#' Example genetic distance matrix, calculated with Plink using data from Bouzid et al. 2022
#'
#' @format A dataframe with genetic distances for 53 samples
#'
#' @source \url{https://doi.org/10.1111/mec.15836}
"liz_gendist"

#' Example environmental data, calculated by performing a raster PCA on 18 bioclimatic variables for state of California
#'
#' @format A RasterStack object with three environmental PCs
"CA_env"
